Bug 554578 - (CVE-2010-0003) CVE-2010-0003 kernel: infoleak if print-fatal-signals=1
CVE-2010-0003 kernel: infoleak if print-fatal-signals=1
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,source=lkml,public=20...
: Security
Depends On: 554580 554581 554582 554583 554584
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-11 21:49 EST by Eugene Teo (Security Response)
Modified: 2015-05-04 21:26 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eugene Teo (Security Response) 2010-01-11 21:49:25 EST
Description of problem:
When print-fatal-signals is enabled it's possible to dump any memory reachable by the kernel to the log by simply jumping to that address from user space.

Or crash the system if there's some hardware with read side effects.

The fatal signals handler will dump 16 bytes at the execution address, which is fully controlled by ring 3.

In addition when something jumps to a unmapped address there will be up to 16 additional useless page faults, which might be potentially slow (and at least is not very efficient)

Fortunately this option is off by default and only there on i386.

But fix it by checking for kernel addresses and also stopping when there's a page fault.

References:
http://patchwork.kernel.org/patch/69752/
http://git.kernel.org/linus/b45c6e76bc2c72f6426c14bed64fdcbc9bf37cb0
Comment 1 Eugene Teo (Security Response) 2010-01-11 21:50:38 EST
print-fatal-signals is turned off by default in Red Hat Enterprise Linux 3, 4, 5, and Red Hat Enterprise MRG.
Comment 3 Fedora Update System 2010-01-22 06:40:19 EST
kernel-2.6.30.10-105.2.4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/kernel-2.6.30.10-105.2.4.fc11
Comment 4 Fedora Update System 2010-01-22 17:36:13 EST
kernel-2.6.30.10-105.2.4.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 errata-xmlrpc 2010-03-16 20:19:09 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0147 https://rhn.redhat.com/errata/RHSA-2010-0147.html
Comment 6 errata-xmlrpc 2010-03-16 20:47:06 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2010:0146 https://rhn.redhat.com/errata/RHSA-2010-0146.html
Comment 7 errata-xmlrpc 2010-03-23 11:42:49 EDT
This issue has been addressed in following products:

  MRG for RHEL-5

Via RHSA-2010:0161 https://rhn.redhat.com/errata/RHSA-2010-0161.html

Note You need to log in before you can comment on or make changes to this bug.